import __builtin__

import pygame
import pygame.rect
import pygame.display
import pygame.surface


def drawGameScreen(toDraw):
    screen_rect = screenSurf.get_rect()
    
    screenSurf.fill((30,0,40,255))
    
    screen_rect.centerx = toDraw.player.rect.centerx
    
    #worldSurf.blit(toDraw.backdrop,(0,0),(((screen_rect.left//2),screen_rect.top),screen_rect.size))
    
    worldSurf.blit(toDraw.backdrop,(-(screen_rect.left//2),screen_rect.top))
    
    for proj in toDraw.projectiles['Player']:
        proj.drawSelf(worldSurf,screen_rect.topleft)
        
    
    toDraw.player.drawSelf(worldSurf,screen_rect.topleft)
    
    for bad in toDraw.baddies:
        bad.drawSelf(worldSurf,screen_rect.topleft)
        
    
    for expl in toDraw.explosions['Damage'] + toDraw.explosions['No Damage']:
        expl.drawSelf(worldSurf,screen_rect.topleft)
        
    
    # TODO - Draw the hud
    
    pygame.display.update()
    

def drawTitleScreen():
    
    screenSurf.fill((120,0,50,255))
    
    pygame.display.update()
    


def init():
    __builtin__.screenSurf = pygame.display.get_surface()
    
    __builtin__.worldSurf = screenSurf.subsurface((
            0,0,
            (screenSurf.get_width()),
            (screenSurf.get_height()-51)
    ))
    
    __builtin__.hudSurf = screenSurf.subsurface((
            0,
            (screenSurf.get_height()-50),
            (screenSurf.get_width()),
            50
    ))
    
    
