import __builtin__

import pygame
import pygame.key

import os
import sys


LIB_PATH = os.path.abspath(os.path.dirname(__file__))

BASE_PATH = os.path.abspath(os.path.join(LIB_PATH,'..'))

def fixPath(path):
    path = str(path)
    
    path = os.path.relpath(path)
    
    path = path.replace('\\','/')
    
    while '//' in path:
        path = path.replace('//','/')
        
    
    path = path.split('/')
    
    path = os.path.join(*path)
    
    return path
    


def init():
    __builtin__.inputState = {
        'Left':     False,
        'Right':    False,
        'Up':       False,
        'Down':     False,
        
        'Fire':     False,
        
        'Mutate-Charge':    False,
        'Mutate-Missile':   False,
        'Mutate-Sonic':     False,
        
    }
    
    __builtin__.controlMap = {
        'Left':     pygame.K_LEFT,
        'Right':    pygame.K_RIGHT,
        'Up':       pygame.K_UP,
        'Down':     pygame.K_DOWN,
        
        'Fire':     pygame.K_SPACE,
        
        'Mutate-Charge':    pygame.K_x,
        'Mutate-Missile':   pygame.K_c,
        'Mutate-Sonic':     pygame.K_v,
        
    }
    
